#!/bin/bash

task=cockroach

python ./gen.py

echo "Generating tests"
cp ../"$task"_ak.java .

echo "Compiling solution"
javac "$task"_ak.java

echo "Generating answers"
for i in ??
do
	echo -ne "[$i]"
	cp $i $task.in
	java -ea -Xmx256M -Xss64M "$task"_ak
	mv "$task".out $i.a
done
